Bug 135782 - Clicking on window title when using Xinerama freezes metacity
Clicking on window title when using Xinerama freezes metacity
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-10-14 20:16 EDT by Tony Tsui
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 21:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Tsui 2004-10-14 20:16:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041012 Epiphany/1.4.4

Description of problem:
With Xinerama enabled clicking on the window title bar causes metacity
to freeze. The mouse cursor has a "+" next to it, but you can't click
on anything else or use the keyboard.

I tested with TWM and it does not have this problem. Also I tested the
same version of Metacity in FC2 and it does not have this problem.

The hardware I'm using is dual head Matrox G450.

Version-Release number of selected component (if applicable):
metacity-2.8.5-2
xorg-x11-6.8.1-4

How reproducible:
Always

Steps to Reproduce:
1. Start Xinerama
2. Click on the window title bar
    

Actual Results:  Mouse cursor has a "+" next to it. You can't click on
anything else or use the keyboard

Expected Results:  You should be able to use the mouse as normal.
Comment 1 Havoc Pennington 2004-10-18 17:55:17 EDT
Can you try metacity 2.8.6 as well?
Comment 2 Havoc Pennington 2004-10-18 17:57:55 EDT
This doesn't happen if you disable xinerama with the same video card
and same metacity, right?
Comment 3 Tony Tsui 2004-10-18 21:29:51 EDT
Hi,

I just updated from rawhide to metacity-2.8.6-2 and xorg-x11-6.8.1-6
and this problem is no longer present.

FYI this didn't happen when xinerama was disabled with the same metacity.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.